from .models import Review
import csv
revs = Review.objects.all()


def write_to_csv():
    with open('review_dataset.csv', 'w') as file:
        header_row = ['review', 'reply']
        writer = csv.writer(file)
        writer.writerow(header_row)
        for rev in revs:
            review = rev.comment if rev.comment else 'NULL'
            reply = rev.reply.replied_text if rev.reply else 'NULL'
            row = [review, reply]
            writer.writerow(row)
